The canl-java-tomcat allows the use of CANL for tomcat authentication.

Sources: https://github.com/jhahkala/canl-java-tomcat.git

This is a separate package to separate the tomcat dependency etc.

The package installs the jar into /usr/share/java, including the unversioned symbolic link. It also links itself and the necessary libraries (bcprov, canl-java) to the tomcat directory, so that the tomcat can find them. To use, only the configuration of the server.xml file of the tomcat needs to be done. See USAGE file in the documentation directory of the installed package or in the sources.

Notes

SL5 tomcat doesn't seem to work with fresh install, the required xml-commons-apis are not installed and the jakarta-commons-modeler-1.1.jar seems to have invalid index when using the openjdk 1.6.0, which throws several exceptions.

Have to run

jar -i jakarta-commons-modeler-1.1.jar

in the /usr/share/java directory as root to fix the index in the jar, then it works.

Also, have to run

yum install xml-commons-apis

to install the required jar.

-- JoniHahkala - 24-Sep-2012


This topic: EMI > CANLTomcatPlugin
Topic revision: r4 - 2012-11-16 - JoniHahkala
 
This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback